# hey Emacs, its -*- mode: rpm-spec; coding: cyrillic-cp1251; -*-

%define apr_major_version 1

Name: apr%apr_major_version
Version: 1.2.8
Release: alt1.2

Summary: Apache Portable Runtime
Group: System/Libraries
License: Apache
Url: http://apr.apache.org/
Packager: Sviatoslav Sviridov <svd@altlinux.ru>

# Do not define this variable to build release
#%%define cvsbuild 20031118

%ifdef cvsbuild

%define apr_cvsbuild 20031118111933
%define apr_filever _%apr_cvsbuild
%define apr_dir apr
%define cvsbuild_desc This package built from CVS snapshot %cvsbuild

%else

%define apr_filever -%version
%define apr_dir apr-%version
%define cvsbuild_desc %nil

%endif #cvsbuild

Source: apr%apr_filever.tar
Patch1: apr-1.2.8-alt-linkage.patch
Patch2: apr-1.2.2-alt-pkgconfig.patch
Patch3: apr-1.2.8-asf-apr_table_clone.patch

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

BuildRequires: python-base python-modules-encodings

%package -n lib%name
Summary: Apache Portable Runtime shared library
Group: System/Libraries

%package -n lib%name-devel
Summary: Apache Portable Runtime development files
Group: Development/C
Requires: lib%name = %version-%release
Conflicts: libapr-devel

%package -n lib%name-devel-static
Summary: Apache Portable Runtime static library
Group: Development/C
Requires: lib%name-devel = %version-%release

%description
The mission of the Apache Portable Runtime (APR) is to provide a free
library of C data structures and routines, forming a system portability
layer to as many operating systems as possible, including Unices,
MS Win32, BeOS and OS/2.
%cvsbuild_desc

%description -n lib%name
The mission of the Apache Portable Runtime (APR) is to provide a free
library of C data structures and routines, forming a system portability
layer to as many operating systems as possible, including Unices,
MS Win32, BeOS and OS/2.
%cvsbuild_desc
This package contains APR shared library.

%description -n lib%name-devel
The mission of the Apache Portable Runtime (APR) is to provide a free
library of C data structures and routines, forming a system portability
layer to as many operating systems as possible, including Unices,
MS Win32, BeOS and OS/2.
%cvsbuild_desc
This package contains APR development files.

%description -n lib%name-devel-static
The mission of the Apache Portable Runtime (APR) is to provide a free
library of C data structures and routines, forming a system portability
layer to as many operating systems as possible, including Unices,
MS Win32, BeOS and OS/2.
%cvsbuild_desc
This package contains APR static library.

%prep
%setup -q -n %apr_dir
%patch1 -p2
%patch2 -p1
%patch3 -p1

%build
LIBTOOL_M4=%_datadir/libtool/aclocal/libtool.m4 ./buildconf
%configure --with-installbuilddir=%_datadir/apr-%apr_major_version/build \
	--includedir=%_includedir/apr-%apr_major_version \
	--enable-threads --with-devrandom \
	 %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install
install build/PrintPath %buildroot%_datadir/apr-%apr_major_version/build/
find %buildroot%_bindir -type f -print0 |
	xargs -r0 %__grep -FZl "$RPM_BUILD_DIR/%apr_dir" -- |
	xargs -r0 %__subst "s,$RPM_BUILD_DIR/%apr_dir,%_datadir/apr-%apr_major_version," --
find %buildroot%_datadir -type f -print0 |
	xargs -r0 %__grep -FZl "$RPM_BUILD_DIR/%apr_dir" -- |
	xargs -r0 %__subst "s,$RPM_BUILD_DIR/%apr_dir\(/build\)\?,%_datadir/apr-%apr_major_version/build," --

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%_libdir/lib*.so*

%files -n lib%name-devel
%_bindir/*-config
%_libdir/lib*.so
%_libdir/*.exp
%_pkgconfigdir/apr-%apr_major_version.pc
%_datadir/apr-%apr_major_version
%_includedir/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/lib*.a
%endif

%changelog
* Thu Jun 14 2007 Aleksey Avdeev <solo@altlinux.ru> 1.2.8-alt1.2
- NMU:
  + adding apr-1.2.8-asf-apr_table_clone.patch: add table copy (clone)
    function for apr, for CVE-2007-1862 fix (see
	<http://issues.apache.org/bugzilla/show_bug.cgi?id=41551> and
	<http://issues.apache.org/bugzilla/attachment.cgi?id=20150>

* Fri Feb 09 2007 Aleksey Avdeev <solo@altlinux.ru> 1.2.8-alt1.1
- NMU:
  + included PrintPath file in libapr1-devel package

* Tue Dec 05 2006 Sviatoslav Sviridov <svd@altlinux.ru> 1.2.8-alt1
- Updated to 1.2.8
- Updated alt-linkage patch (rediffed, installing build/get-version.sh)

* Thu Feb 02 2006 ALT QA Team Robot <qa-robot@altlinux.org> 1.2.2-alt1.1
- Rebuilt for new pkg-config dependencies.

* Sun Jan 22 2006 Sviatoslav Sviridov <svd@altlinux.ru> 1.2.2-alt1
- Switched to apr1 branch
- Updated alt-linkage patch
- Included apr-1.pc file in libapr1-devel package
- Added patch for apr-1.pc
- Updated BuildRequires (added python-base python-modules-encodings due
  to usage of buildconf.py script)

* Mon Oct 17 2005 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.7-alt1
- Updated to 0.9.7

* Mon May 30 2005 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.6-alt1
- Updated to 0.9.6

* Mon Aug 16 2004 Dmitry V. Levin <ldv@altlinux.org> 1:0.9.5-alt0.4
- Updated to version from apache 2.0.50 tarball.
- Fixed library linkage.
- Renamed source package.
- Package libaprutil separately.
- Do not build static library by default.

* Thu Feb 12 2004 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.5-alt0.3
- used workaround for build with libexpat without .la files
- updated BuildRequires
- rebuild with libdb4.2

* Sun Nov 30 2003 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.5-alt0.2
- removed *.la files

* Wed Nov 19 2003 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.5-alt0.1
- new version: 0.9.5 (from apache 2.0.48 tarball)

* Fri Aug 22 2003 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.4-alt1
- new version: 0.9.4 (from apache 2.0.47 tarball)

* Tue Apr 15 2003 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.3-alt1
- new version: 0.9.3

* Tue Mar 25 2003 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.2-alt0.1
- first build for ALT Linux
